Bug 855372 - enable mdadm's services by default in 99-default.preset
enable mdadm's services by default in 99-default.preset
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On: 850202
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-09-07 10:28 EDT by Jes Sorensen
Modified: 2012-09-13 04:56 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 850202
Environment:
Last Closed: 2012-09-13 04:56:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jes Sorensen 2012-09-07 10:28:12 EDT
Please add the following two unit files for mdadm to the default list:

mdmonitor.service
mdmonitor-takeover.service

+++ This bug was initially created as a clone of Bug #850202 +++

Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Lennart Poettering 2012-09-11 23:23:18 EDT
Added these in git. They should show up in F18 soonishly after the alpha.
Comment 2 Lennart Poettering 2012-09-13 04:56:48 EDT
I uploaded this to F18 now, should get in after the alpha.

Note You need to log in before you can comment on or make changes to this bug.